Bug Hunting Session
Bug 117843 - FILEOPEN Image in header in DOCX is shifted downwards
Summary: FILEOPEN Image in header in DOCX is shifted downwards
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.2.1 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.2.0 target:6.1.0.1 target:6.0.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOCX-Header-Footer
  Show dependency treegraph
 
Reported: 2018-05-28 04:57 UTC by Aron Budea
Modified: 2018-06-25 16:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample DOCX (26.29 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-05-28 04:57 UTC, Aron Budea
Details
PDF exported in Word (81.77 KB, application/pdf)
2018-05-28 05:01 UTC, Aron Budea
Details
Bad alignment (22.36 KB, image/jpeg)
2018-05-28 08:34 UTC, impreza233
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-05-28 04:57:37 UTC
Created attachment 142324 [details]
Sample DOCX

Open the attached DOCX, created in Word.

The two shapes should be on the same level, but instead the left one is lower than the right one.

Observed using LO 6.2 master daily build (f7f2d03bd6f5aa5dcd0f7976b4a7f2db278c2f03, 2018-05-25_05:00:28) / Windows 7.
Looks as expected in LO 6.0.0.3.
=> regression
Comment 1 Aron Budea 2018-05-28 05:01:01 UTC
Created attachment 142325 [details]
PDF exported in Word
Comment 2 Aron Budea 2018-05-28 05:08:56 UTC
Bibisected to the following commit using repo bibisect-win32-6.1. Adding Cc: to Miklos Vajna, please take a look sometimes.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=8b73bafbc18acb4dd8911d2f2de8158d98eb6144
author		Miklos Vajna <vmiklos@collabora.co.uk>	2018-02-14 15:31:35 +0100
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2018-02-14 20:21:57 +0100

tdf#115719 DOCX import: increase paragraph spacing for anchored objects
Comment 3 impreza233 2018-05-28 08:32:36 UTC
Reproduced it on: 

Versión: 6.0.2.1
Id. de compilación: f7f06a8f319e4b62f9bc5095aa112a65d2f3ac89
Subprocs. CPU: 4; SO: Windows 10.0; Repres. IU: GL; 
Configuración regional: es-ES (es_ES); Calc: group
Comment 4 impreza233 2018-05-28 08:34:38 UTC
Created attachment 142333 [details]
Bad alignment
Comment 5 Xavier Van Wijmeersch 2018-05-28 15:41:32 UTC
reproduce with

Version: 5.0.6.3
Build ID: 490fc03b25318460cfc54456516ea2519c11d1aa
Locale: en-US (en_US.UTF-8)

Version: 5.3.1.2
Build ID: e80a0e0fd1875e1696614d24c32df0f95f03deb2
CPU Threads: 8; OS Version: Linux 4.14; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 5.4.1.2
Build ID: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group

Version: 6.0.4.2
Build ID: 9b0d9b32d5dcda91d2f1a96dc04c645c450872bf
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
Locale: nl-BE (en_US.UTF-8); Calc: group
Comment 6 Aron Budea 2018-05-28 16:47:32 UTC
I have doubts about those older versions, the causing commit has been identified, and as can be seen in the referenced bug report, bug 115719, is part of LO 6.1, 6.0.2 and 5.4.6.
Comment 7 Commit Notification 2018-06-05 12:26:36 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=09a37fe50f36ced755bc326fb6b4c1b6fdf61f86

tdf#117843 DOCX import: disable compat increased spacing in header/footer

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-06-05 15:24:29 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eb65a8c54f56abc8ba66f9cbc779cd20e4740933&h=libreoffice-6-1

tdf#117843 DOCX import: disable compat increased spacing in header/footer

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2018-06-06 10:24:02 UTC
Verified in

Version: 6.1.0.0.beta1+
Build ID: 8b96445766efe237eb47608ade6c147673466e2e
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

@Miklos, thanks for fixing this!!
Comment 10 Commit Notification 2018-06-25 16:27:13 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6dcf475d5cda984ce0d1035e36267cedc3019e50&h=libreoffice-6-0

tdf#117843 DOCX import: disable compat increased spacing in header/footer

It will be available in 6.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.